import { Path } from '../graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
declare class CirculateLineShape {
    points: any[];
    count: number;
    gap: number;
    lineWidth: number;
}
interface CirculateLinePathProps extends PathProps {
    shape?: CirculateLineShape;
}
declare class CirculateLine extends Path<CirculateLinePathProps> {
    type: string;
    constructor(opts?: CirculateLinePathProps);
    getDefaultShape(): CirculateLineShape;
    buildPath(ctx: CanvasRenderingContext2D, shape: CirculateLineShape): void;
}
export default CirculateLine;
